Issue 125259 - [SVG] inherit style from rule in style element makes AOO freeze
Summary: [SVG] inherit style from rule in style element makes AOO freeze
Status: CLOSED FIXED
Alias: None
Product: Draw
Classification: Application
Component: open-import (show other issues)
Version: 4.1.0
Hardware: PC Windows 7
: P3 Normal (vote)
Target Milestone: 4.2.0
Assignee: Armin Le Grand
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-15 16:41 UTC by Regina Henschel
Modified: 2017-05-20 10:35 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
examples which cause a freeze (1.23 KB, application/zip)
2014-07-15 16:41 UTC, Regina Henschel
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Regina Henschel 2014-07-15 16:41:25 UTC
Created attachment 83692 [details]
examples which cause a freeze

Open the attachment and insert the graphic into a Draw document. Notice, that AOO freezes.

Expected behavior:
The rect-element itself has no fill and stroke value defined, neither by a style attribute nor by a fill or stroke presentation attribute. Therefore it inherits the value from it's parent in the document tree. This parent is a g-element in one of the attached examples and the root svg-element in the other example.
These elements have their fill and stroke values defined by a style-element. The rect-element should take these computes values for its fill and stroke property. This inheritance is described in http://www.w3.org/TR/2008/REC-CSS2-20080411/cascade.html#inheritance.

The inheritance works, when the style values not defined in a style-element, but given directly at the g and svg element respectively.
Comment 1 Armin Le Grand 2014-07-16 11:32:53 UTC
Fixed with issue 125258.
Comment 2 Regina Henschel 2014-08-01 15:07:43 UTC
Verified in AOO411m4(Build:9774)  -  Rev. 1614049 (=RC1)